' Name: Register Demo Key
' Author: Thorsten Hoeppner
' Version: 0.1
' Description: Create the registry key 'EndDate' (program demo expires)

' ----- Preferences -----
Const esProgName = "EasySetup"
Const esRegPath = "HKEY_CURRENT_USER\Software\Demo\"
Const esDays = 30

' ----- Variables -----
Dim RegKey,  WshShell, CheckDate, DiffDays, EndDate

' ----- Main Code -----
Set WshShell = CreateObject("WScript.Shell")

If esGUID Then
	'  === Registry path, if program GUID available ===
	RegKey = esRegPath + esGUID + "\"
Else
	'  === Registry path, if no GUID is available ===
	RegKey = esRegPath + esProgName + "\"
End If

' Remove Comment ' to show registry path
' WScript.Echo RegKey

WshShell.RegWrite RegKey, EndDate, "REG_SZ"
CheckDate = WshShell.RegRead(RegKey+"EndDate")

If CheckDate = "" Then
	' Create a new registry entry
	EndDate = DateAdd("d", esDays, Date())
	WshShell.RegWrite RegKey+"EndDate", EndDate, "REG_SZ"
Else
	' --- Days left? ---
	DiffDays = DateDiff("d", Date(), CheckDate)
	If DiffDays <= 0 Then
		' --- Expired ---
		MsgBox "Demo period expired!", vbOKOnly + vbExclamation, esProgName
	Else
		' --- Valid  ---
		MsgBox "Still " & DiffDays & " days left.", vbOKOnly + vbInformation, esProgName
	End If
End If

